> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get authenticated user

GET https://api.getpostman.com/me

Gets information about the authenticated user.

**Note:**

- This API returns a different response for users with the [Guest and Partner roles](https://learning.postman.com/docs/collaborating-in-postman/roles-and-permissions/#team-roles).
- The `flow_count` response only returns for users on [Free plans](https://www.postman.com/pricing/).


Reference: https://learning.postman.com/api-docs/api-reference/users/get-authenticated-user

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /me:
    get:
      operationId: getAuthenticatedUser
      summary: Get authenticated user
      description: >
        Gets information about the authenticated user.


        **Note:**


        - This API returns a different response for users with the [Guest and
        Partner
        roles](https://learning.postman.com/docs/collaborating-in-postman/roles-and-permissions/#team-roles).

        - The `flow_count` response only returns for users on [Free
        plans](https://www.postman.com/pricing/).
      tags:
        - users
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getAuthenticatedUser'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAuthenticatedUserRequestUnauthorizedError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetAuthenticatedUserRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    GetAuthenticatedUserUser:
      type: object
      properties:
        id:
          type: number
          format: double
          description: The user's Postman ID.
        sub:
          type: string
          description: >-
            The authenticated user's ID. This ID is unique to the user and isn't
            associated with any Postman teams. Can return in UUID or ID format.
        username:
          type: string
          description: The user's username.
        email:
          type: string
          format: email
          description: The user's email address.
        fullName:
          type: string
          description: The user's full name.
        avatar:
          type:
            - string
            - 'null'
          format: url
          description: The user's avatar image URL.
        isPublic:
          type: boolean
          description: If true, the user's information is public and visible to all users.
        emailVerified:
          type: boolean
          description: If true, the user email address is verified by Postman.
        teamId:
          type: integer
          description: >-
            The team ID the user is assigned to. This returns a `0` value if the
            user is not assigned to a team.
        teamName:
          type: string
          description: The name of the team the user is assigned to.
        teamDomain:
          type: string
          description: The team's Postman domain ID.
        roles:
          type: array
          items:
            type: string
            default: user
          description: >-
            A list of the user's assigned
            [roles](https://learning.postman.com/docs/collaborating-in-postman/roles-and-permissions/#team-roles).
      description: Information about the authenticated user.
      title: GetAuthenticatedUserUser
    GetAuthenticatedUserOperationsItems:
      type: object
      properties:
        limit:
          type: number
          format: double
          description: The operation's limit value.
        name:
          type: string
          description: The operation's name.
        overage:
          type: number
          format: double
          description: The operation's overage value.
        usage:
          type: number
          format: double
          description: The operation's current usage value.
      title: GetAuthenticatedUserOperationsItems
    getAuthenticatedUser:
      type: object
      properties:
        user:
          $ref: '#/components/schemas/GetAuthenticatedUserUser'
          description: Information about the authenticated user.
        operations:
          type: array
          items:
            $ref: '#/components/schemas/GetAuthenticatedUserOperationsItems'
          description: >-
            Information about operations and their usage limits. This object
            does not return for users with the [Guest and Partner
            role](https://learning.postman.com/docs/collaborating-in-postman/roles-and-permissions/#team-roles).
      title: getAuthenticatedUser
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetAuthenticatedUserRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAuthenticatedUserRequestUnauthorizedError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetAuthenticatedUserRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetAuthenticatedUserRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "user": {
    "id": 12345678,
    "sub": "4d71435e-0e67-45b9-9d4c-e3262166d157",
    "username": "taylor-lee",
    "email": "taylor.lee@example.com",
    "fullName": "Taylor Lee",
    "avatar": "https://res.cloudinary.com/postman/image/upload/t_user_profile_300/v1/user/default-6",
    "isPublic": true,
    "emailVerified": true,
    "teamId": 123,
    "teamName": "Test Team",
    "teamDomain": "test-team",
    "roles": [
      "user",
      "flow-editor",
      "community-manager"
    ]
  },
  "operations": [
    {
      "limit": 99999999,
      "name": "api_object_usage",
      "overage": 0,
      "usage": 8872
    },
    {
      "limit": 99999999,
      "name": "collection_run_limit",
      "overage": 0,
      "usage": 226
    },
    {
      "limit": 1,
      "name": "file_storage_limit",
      "overage": 0,
      "usage": 0.28
    },
    {
      "limit": 1000000,
      "name": "flow_requests",
      "overage": 0,
      "usage": 1852
    },
    {
      "limit": 99999999,
      "name": "performance_test_limit",
      "overage": 0,
      "usage": 10
    },
    {
      "limit": 100,
      "name": "reusable_packages",
      "overage": 0,
      "usage": 48
    },
    {
      "limit": 1000,
      "name": "test_data_retrieval",
      "overage": 0,
      "usage": 180
    },
    {
      "limit": 10,
      "name": "test_data_storage",
      "overage": 0,
      "usage": 0.55
    },
    {
      "limit": 2500,
      "name": "postbot_calls",
      "overage": 0,
      "usage": 0
    },
    {
      "limit": 1000000,
      "name": "mock_usage",
      "overage": 0,
      "usage": 79948
    },
    {
      "limit": 15000000,
      "name": "monitor_request_runs",
      "overage": 0,
      "usage": 4493710
    },
    {
      "limit": 1000000,
      "name": "api_usage",
      "overage": 0,
      "usage": 10788
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/me"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/me';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/me"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/me")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/me")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/me', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/me");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/me")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```